org.apache.hadoop.mapreduce.v2.hs.webapp.dao

## Class JobInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.webapp.dao.JobInfo

-     public class JobInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ArrayList<org.apache.hadoop.mapreduce.v2.app.webapp.dao.ConfEntryInfo>` | `acls`
    `protected Long` | `avgMapTime`
    `protected Long` | `avgMergeTime`
    `protected Long` | `avgReduceTime`
    `protected Long` | `avgShuffleTime`
    `protected String` | `diagnostics`
    `protected Integer` | `failedMapAttempts`
    `protected Integer` | `failedReduceAttempts`
    `protected long` | `finishTime`
    `protected String` | `id`
    `protected Integer` | `killedMapAttempts`
    `protected Integer` | `killedReduceAttempts`
    `protected int` | `mapsCompleted`
    `protected int` | `mapsTotal`
    `protected String` | `name`
    `protected int` | `numMaps`
    `protected int` | `numReduces`
    `protected String` | `queue`
    `protected int` | `reducesCompleted`
    `protected int` | `reducesTotal`
    `protected long` | `startTime`
    `protected String` | `state`
    `protected long` | `submitTime`
    `protected Integer` | `successfulMapAttempts`
    `protected Integer` | `successfulReduceAttempts`
    `protected Boolean` | `uberized`
    `protected String` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobInfo()`
    `JobInfo(org.apache.hadoop.mapreduce.v2.app.job.Job job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<org.apache.hadoop.mapreduce.v2.app.webapp.dao.ConfEntryInfo>` | `getAcls()`
    `Long` | `getAvgMapTime()`
    `Long` | `getAvgMergeTime()`
    `Long` | `getAvgReduceTime()`
    `Long` | `getAvgShuffleTime()`
    `String` | `getDiagnostics()`
    `Integer` | `getFailedMapAttempts()`
    `Integer` | `getFailedReduceAttempts()`
    `long` | `getFinishTime()`
    `String` | `getFormattedStartTimeStr(DateFormat dateFormat)`
    `String` | `getId()`
    `Integer` | `getKilledMapAttempts()`
    `Integer` | `getKilledReduceAttempts()`
    `int` | `getMapsCompleted()`
    `int` | `getMapsTotal()`
    `String` | `getName()`
    `long` | `getNumMaps()`
    `long` | `getNumReduces()`
    `String` | `getQueueName()`
    `int` | `getReducesCompleted()`
    `int` | `getReducesTotal()`
    `long` | `getStartTime()`
    `String` | `getStartTimeStr()`
    `String` | `getState()`
    `long` | `getSubmitTime()`
    `Integer` | `getSuccessfulMapAttempts()`
    `Integer` | `getSuccessfulReduceAttempts()`
    `String` | `getUserName()`
    `Boolean` | `isUber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### submitTime

          protected long submitTime

    - #### startTime

          protected long startTime

    - #### finishTime

          protected long finishTime

    - #### id

          protected String id

    - #### name

          protected String name

    - #### queue

          protected String queue

    - #### user

          protected String user

    - #### state

          protected String state

    - #### mapsTotal

          protected int mapsTotal

    - #### mapsCompleted

          protected int mapsCompleted

    - #### reducesTotal

          protected int reducesTotal

    - #### reducesCompleted

          protected int reducesCompleted

    - #### uberized

          protected Boolean uberized

    - #### diagnostics

          protected String diagnostics

    - #### avgMapTime

          protected Long avgMapTime

    - #### avgReduceTime

          protected Long avgReduceTime

    - #### avgShuffleTime

          protected Long avgShuffleTime

    - #### avgMergeTime

          protected Long avgMergeTime

    - #### failedReduceAttempts

          protected Integer failedReduceAttempts

    - #### killedReduceAttempts

          protected Integer killedReduceAttempts

    - #### successfulReduceAttempts

          protected Integer successfulReduceAttempts

    - #### failedMapAttempts

          protected Integer failedMapAttempts

    - #### killedMapAttempts

          protected Integer killedMapAttempts

    - #### successfulMapAttempts

          protected Integer successfulMapAttempts

    - #### acls

          protected ArrayList<org.apache.hadoop.mapreduce.v2.app.webapp.dao.ConfEntryInfo> acls

    - #### numMaps

          protected int numMaps

    - #### numReduces

          protected int numReduces

  - ### Constructor Detail

    - #### JobInfo

          public JobInfo()

    - #### JobInfo

          public JobInfo(org.apache.hadoop.mapreduce.v2.app.job.Job job)

  - ### Method Detail

    - #### getNumMaps

          public long getNumMaps()

    - #### getNumReduces

          public long getNumReduces()

    - #### getAvgMapTime

          public Long getAvgMapTime()

    - #### getAvgReduceTime

          public Long getAvgReduceTime()

    - #### getAvgShuffleTime

          public Long getAvgShuffleTime()

    - #### getAvgMergeTime

          public Long getAvgMergeTime()

    - #### getFailedReduceAttempts

          public Integer getFailedReduceAttempts()

    - #### getKilledReduceAttempts

          public Integer getKilledReduceAttempts()

    - #### getSuccessfulReduceAttempts

          public Integer getSuccessfulReduceAttempts()

    - #### getFailedMapAttempts

          public Integer getFailedMapAttempts()

    - #### getKilledMapAttempts

          public Integer getKilledMapAttempts()

    - #### getSuccessfulMapAttempts

          public Integer getSuccessfulMapAttempts()

    - #### getAcls

          public ArrayList<org.apache.hadoop.mapreduce.v2.app.webapp.dao.ConfEntryInfo> getAcls()

    - #### getReducesCompleted

          public int getReducesCompleted()

    - #### getReducesTotal

          public int getReducesTotal()

    - #### getMapsCompleted

          public int getMapsCompleted()

    - #### getMapsTotal

          public int getMapsTotal()

    - #### getState

          public String getState()

    - #### getUserName

          public String getUserName()

    - #### getName

          public String getName()

    - #### getQueueName

          public String getQueueName()

    - #### getId

          public String getId()

    - #### getSubmitTime

          public long getSubmitTime()

    - #### getStartTime

          public long getStartTime()

    - #### getFormattedStartTimeStr

          public String getFormattedStartTimeStr(DateFormat dateFormat)

    - #### getStartTimeStr

          public String getStartTimeStr()

    - #### getFinishTime

          public long getFinishTime()

    - #### isUber

          public Boolean isUber()

    - #### getDiagnostics

          public String getDiagnostics()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.